function t(o, n, e) {
  o?.status === "uploading" && o?.ossDestroy?.();
  const u = n?.findIndex((a) => a.uid === o?.uid);
  u !== void 0 && u > -1 && (n?.splice(u, 1), e?.maxCount && n && n?.length >= e.maxCount && n?.splice(e.maxCount));
}
function c(o) {
  o?.forEach((n) => {
    n.status === "uploading" && n.ossDestroy?.();
  }), o?.splice(0);
}
export {
  c as clearAllFile,
  t as clearSingleFile
};
